extends Node

var table = null

func _get_data(datas, index):
	return datas[index].get_data()

func _set_data(prop_id, row_id, data):
	table.edit_data(prop_id, row_id, String(data))
	Global.database.save_db()
	return data
